Runtime

## org.eclipse.gmf.runtime.diagram.core.services.view
Class CreateEdgeViewOperation

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.core.services.view.CreateViewOperation
          org.eclipse.gmf.runtime.diagram.core.services.view.CreateChildViewOperation
              org.eclipse.gmf.runtime.diagram.core.services.view.CreateEdgeViewOperation

All Implemented Interfaces:
  IOperation

    public final class CreateEdgeViewOperation

extends CreateChildViewOperation

Edge view creation operation

Constructor Summary
`CreateEdgeViewOperation(IAdaptable semanticAdapter, View containerView, java.lang.String semanticHint, int index, boolean persisted, PreferencesHint preferencesHint)` Creates a new instance.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`java.lang.Class` `getViewKind()` Returns the view kind class

Methods inherited from class org.eclipse.gmf.runtime.diagram.core.services.view.CreateChildViewOperation
`getContainerView, getIndex, getPersisted`

Methods inherited from class org.eclipse.gmf.runtime.diagram.core.services.view.CreateViewOperation
`getCachingKey, getPreferencesHint, getSemanticAdapter, getSemanticHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateEdgeViewOperation

    public CreateEdgeViewOperation(IAdaptable semanticAdapter,
                                   View containerView,
                                   java.lang.String semanticHint,
                                   int index,
                                   boolean persisted,
                                   PreferencesHint preferencesHint)

  Creates a new instance.

  Parameters:
    `semanticAdapter` -
    `containerView` -
    `semanticHint` -
    `index` -
    `persisted` -
    `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

Method Detail

### getViewKind

    public final java.lang.Class getViewKind()

  Description copied from class: `CreateViewOperation`
  Returns the view kind class

  Specified by:
    `getViewKind` in class `CreateViewOperation`
  Returns:
    class of the view kind
  See Also:
    `CreateViewOperation.getViewKind()`

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.